Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 16 Mar 2022 06:59:36 +0000

Hi Shehanah Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Greetings, 

I would like to raise a complaint related to my last store visit on March 12, 2022 at 6:00 pm in Al-Hufof  Branch near Intercontinental Hotel .  
During checkout, I have waited 30 minutes with other people just to get to the checkout counter.  At the counter, there were two self-checkout screens and one employee sitting idly on her phone without supporting or showing any kind of interest on this ongoing situation.

One of the self-checkout screen was frozen and re-started, the customers waited more than 10 minutes just waiting for an employee to come and enter the password.  

When I got my turn, I had 16 items in my cart which needs 1-3 minutes at the most in an average store to be scanned. Instead, I spent more than 10 minutes on the self-check out since it requires me to wait 5-10 second for each item when it was scanner. After that when I tried to pay, the paying device was not working properly. 

I went to the store manager afterwards and he was not also interested or showing any support to the customers. 

To avoid this situation, please add more checkout mechanism or at least put a screen on the waiting line with an estimate waiting time so that the customs decides if he can waste  the time waiting for a simple checkout that should takes the fraction of the time of what we have now.

This is my worst visit ever to any major store like Centerpoint.

Regards, 
Khalid 
966582446603 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4014090